#!/usr/bin/env bash

MINER_DIR=/hive/miners/custom
CUSTOM_MINER=moonstone

if [[ -e $MINER_DIR/$CUSTOM_MINER/h-manifest.conf ]]; then
    source $MINER_DIR/$CUSTOM_MINER/h-manifest.conf
fi

if [[ `ps aux | grep "\./$CUSTOM_MINER" | grep -v grep | wc -l` != 0 ]]; then
    echo -e "${RED}$CUSTOM_MINER miner is already running (3)${NOCOLOR}"
    exit 1
fi

if [[ -z $MINER_API_PORT ]]; then
    echo -e "${RED}MINER_API_PORT is empty${NOCOLOR}"
    exit 1
fi

cd $MINER_DIR/$CUSTOM_MINER

while true; do
    while [[ `netstat|grep "localhost:$MINER_API_PORT"|wc -l` != 0 ]]; do
        sleep 5
    done
    ./moonstone `cat $MINER_DIR/$CUSTOM_MINER/moonstone.conf` 2>&1 | tee $CUSTOM_LOG_BASENAME.log
done
